//
//  Cell_HomeTitleHeader.swift
//  Service
//
//  Created by Jan on 2023/7/18.
//  Copyright © 2023 yus. All rights reserved.
//

import UIKit

class Cell_HomeTitleHeader: UITableViewCell {
    
    @IBOutlet weak var bgView: UIView!
    @IBOutlet weak var lab_title: UILabel!
    var callBack: TCRowCallBack?
    override func awakeFromNib() {
        super.awakeFromNib()
        bgView.backgroundColor = UIColor(hexString: "ffffff")
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}


extension Cell_HomeTitleHeader: TCCell_RowCellUpdateProtocol {

    typealias DataSource = (String)
    typealias ConfigModel = TCFormCellConfigModel
    
    func row_update(callBack block: TCRowCallBack?) {
        callBack = block
    }
    
    func row_update(config data: TCFormCellConfigModel) {
    
    }
    
    func row_update(dataSource data: (String)) {
        lab_title.text = data
    }
    
}
